Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SPPTRI

    java.lang.Object
      org.netlib.lapack.SPPTRI

    public class SPPTRI

extends java.lang.Object

    SPPTRI is a simplified interface to the JLAPACK routine spptri.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SPPTRI computes the inverse of a real symmetric positive definite
     *  matrix A using the Cholesky factorization A = U**T*U or A = L*L**T
     *  computed by SPPTRF.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangular factor is stored in AP;
     *          = 'L':  Lower triangular factor is stored in AP.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  AP      (input/output) REAL array, dimension (N*(N+1)/2)
     *          On entry, the triangular factor U or L from the Cholesky
     *          factorization A = U**T*U or A = L*L**T, packed columnwise as

     *          a linear array.  The j-th column of U or L is stored in the
     *          array AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
     *          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
     *
     *          On exit, the upper or lower triangle of the (symmetric)
     *          inverse of A, overwriting the input factor U or L.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  if INFO = i, the (i,i) element of the factor U or L is

     *                zero, and the inverse could not be computed.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SPPTRI()`

Method Summary
`static void` | `SPPTRI(java.lang.String uplo, int n, float[] ap, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPPTRI

    public SPPTRI()

Method Detail

### SPPTRI

    public static void SPPTRI(java.lang.String uplo,
                              int n,
                              float[] ap,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD